program fjf637t;

type
  a = abstract object
    procedure foo; abstract;
  end;

  b = object (a)
    procedure foo; virtual;
  end;

procedure b.foo;
begin
end;

var
  s: SizeType;

begin
  s := SizeOf (b);
  WriteLn ('OK')
end.
